java.security.acl

## Class NotOwnerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.acl.NotOwnerException

All Implemented Interfaces:
  Serializable

    public class NotOwnerException
    extends Exception

This is an exception that is thrown whenever the modification of an object (such as an Access Control List) is only allowed to be done by an owner of the object, but the Principal attempting the modification is not an owner.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NotOwnerException()` Constructs a NotOwnerException.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotOwnerException

    public NotOwnerException()

Constructs a NotOwnerException.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.